PKGCTL-RELEASE(1)

BEZEICHNUNG
pkgctl-release - Veröffentlichungsschritt: Bauartefakte übergeben, markieren und hochladen

ÜBERSICHT

pkgctl release [OPTIONEN] [PFAD…]

BESCHREIBUNG

Veränderte Dateien unter Versionssteuerung werden zuerst für die Übergabe bereitgestellt, dann wird eine Git-Markierung passend zur Paketversion erstellt und schließlich werden alle Bauartefakte hochgeladen.

Standardmäßig wird das Ziel-Pacman-Repositorium automatisch erkannt, indem das Repositorium abgefragt wird, in dem es derzeit veröffentlicht ist. Beim erstmaligen Hinzufügen eines neuen Paketes zu den Repositorien muss das Ziel-Repositorium explizit angegeben werden.

OPTIONEN

-m, --message NACHRICHT
    Verwendet die angegebene NACHRICHT als Übergabemeldung.

-r, --repo REPO
    Gibt das Ziel-Repositorium für neue Pakete an, die in keinem offiziellen Repositorium sind. Die Verwendung dieser Option ist nicht erlaubt, falls das Paket bereits veröffentlicht ist, da sie die Absicherung der automatischen Erkennung umgehen würde.

-s, --staging
    Baut gegen das Gegenstück zu Staging aus dem automatisch erkannten Depot.

-t, --testing
    Baut gegen das Gegenstück zu Testing aus dem automatisch erkannten Depot.

-u, --db-update
    Aktualisiert die Pacman-Datenbank nach dem Hochladen automatisch.

-h, --help
    Zeigt einen Hilfetext an.

SIEHE AUCH

pkgctl-db-update(1)

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.